Subject: Re: bug#70356: 30.0.50; [wishlist] Expose UTF-8 parse error to Lisp

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Apr 2024 21:22:36 +0300

> Date: Fri, 12 Apr 2024 17:59:08 +0200
> From:  Michael Albinus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> json_parse_string checks for a valid UTF-8 byte sequence, and raises an
> error in case of. It would be useful, if this error handling would be
> exposed to Lisp. For example, it could be used to check a D-Bus
> byte-array for proper UTF-8 syntax in dbus-byte-array-to-string.

Sorry, I don't understand: errors we signal are always "exposed to
Lisp": e.g., your program could catch the error and do whatever it
wants.  What exactly is missing?